Bug 137967 (Yum_Configuration) - Yum configuration missing from updated package.
Summary: Yum configuration missing from updated package.
Status: CLOSED NOTABUG
Alias: Yum_Configuration
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-03 13:46 UTC by Murray Schwalbaum
Modified: 2014-01-21 22:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-03 16:03:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log of steps to reproduce problem. (1.37 KB, text/plain)
2004-11-03 13:49 UTC, Murray Schwalbaum
no flags Details
/etc/yum.conf diff (new versus old) (832 bytes, text/plain)
2004-11-03 13:50 UTC, Murray Schwalbaum
no flags Details

Description Murray Schwalbaum 2004-11-03 13:46:20 UTC
Description of problem:

Updated yum package (yum-2.1.11-3) does not have any repository
information in the package. This causes yum to break as soon as you
update the yum package.

Version-Release number of selected component (if applicable):
yum-2.1.11-3)

How reproducible:


Steps to Reproduce:
1. yum update yum on a FC3-test3 system.
2. try to do any yum action
3.


Notes:

Diff suggests that config that used to be in yum.conf was removed.
This should either be put back into yum.conf or in yum.repos.d.

Suggested Fix:

Put configuration information in yum.conf or yum.repos.d.

Comment 1 Murray Schwalbaum 2004-11-03 13:49:03 UTC
Created attachment 106119 [details]
Log of steps to reproduce problem.

Just the output from running a yum upgrade yum.

Comment 2 Murray Schwalbaum 2004-11-03 13:50:58 UTC
Created attachment 106120 [details]
/etc/yum.conf diff (new versus old)

diff yum.conf yum.conf.orig  > yum.conf.diff

yum.conf is the new updated config file (from the new rpm)

yum.conf.orig is the old config file that I put aside before upgrading a second
time.

Comment 3 Murray Schwalbaum 2004-11-03 13:54:23 UTC
There is a problem with the diff, there is a line that just has arch,
that was supposed to be on the line before. Not sure how that happened.

The config is still missing, just my diff is a little sloppy.

Comment 4 Seth Vidal 2004-11-03 16:03:22 UTC
it's not missing from that package.

the repo files are now provided by fedora-release.

the files go in /etc/yum.repos.d
upgrade fedora-release


Comment 5 Murray Schwalbaum 2004-11-03 18:20:08 UTC
Shouldn't the updated yum package have had a dependency to the newer
fedora-release which I can't seem to find yet?

[root@freakout-dyn yum.repos.d]# rpm -q fedora-release
fedora-release-2.92-1
[root@freakout-dyn yum.repos.d]# rpm -ql fedora-release |grep yum
[root@freakout-dyn yum.repos.d]# yum upgrade fedora-release
Setting up Upgrade Process
Setting up Repo:  development
repomd.xml                100% |=========================| 1.1 kB   
00:00     
Reading repository metadata in from local files
developmen: ################################################## 3426/3426
Could not find update match for fedora-release
No Packages marked for Update/Obsoletion
[root@freakout-dyn yum.repos.d]#

Comment 6 Seth Vidal 2004-11-04 13:26:37 UTC
set exactarch=0 in [main] in your yum.conf then run yum upgrade.



Note You need to log in before you can comment on or make changes to this bug.